Vraag "RuntimeError: zorg ervoor dat de uitvoerbare bestanden van Graphviz zich op het pad van uw systeem bevinden" na het installeren van Graphviz 2.38


ik heb gedownload Graphviz 2.38 MSI-versie en geïnstalleerd onder map C:\Python34, dan ren ik pip install Graphviz, alles is goed gegaan. In het pad van het systeem dat ik heb toegevoegd C:\Python34\bin. Toen ik probeerde een testscript uit te voeren, in de rij filename=dot.render(filename='test'), Ik kreeg een bericht

 RuntimeError: failed to execute ['dot', '-Tpdf', '-O', 'test'], make sure the Graphviz executables are on your systems' path

Ik probeerde het te zetten "C:\Python34\bin\dot.exe" in het pad van het systeem, maar het werkte niet en ik heb zelfs een nieuwe omgevingsvariabele gemaakt "GRAPHVIZ_DOT" met waarde "C:\Python34\bin\dot.exe", werkt nog steeds niet. Ik probeerde Graphviz te verwijderen en pip graphviz te de-installeren, installeer het opnieuw en installeer het opnieuw, maar niets werkt.

Het volledige tracebackbericht is:

Traceback (most recent call last):
  File "C:\Python34\lib\site-packages\graphviz\files.py", line 220, in render
    proc = subprocess.Popen(cmd, startupinfo=STARTUPINFO)
  File "C:\Python34\lib\subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "C:\Python34\lib\subprocess.py", line 1112, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] The system cannot find the file specified

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Documents\Kissmetrics\curves and lines\eventNodes.py", line 56, in <module>
    filename=dot.render(filename='test')
  File "C:\Python34\lib\site-packages\graphviz\files.py", line 225, in render
    'are on your systems\' path' % cmd)
RuntimeError: failed to execute ['dot', '-Tpdf', '-O', 'test'], make sure the Graphviz executables are on your systems' path

Heeft iemand er ervaring mee?


31
2018-01-28 14:35


oorsprong


antwoorden:


U zou het graphviz-pakket in uw systeem moeten installeren (niet alleen het python-pakket). Op Ubuntu je zou moeten proberen:

sudo apt-get install graphviz

32
2018-03-18 14:13



Deze heeft het probleem voor mij opgelost op MAC:

  brew install graphviz

28
2017-07-30 02:46



import os
os.environ["PATH"] += os.pathsep + 'D:/Program Files (x86)/Graphviz2.38/bin/'

Voeg in windows gewoon deze 2 regels toe aan het begin, waar 'D: / Program Files (x86) /Graphviz2.38/bin/' wordt vervangen door het adres van waar uw bin-bestand is.

Dat lost het probleem op.


24
2018-06-19 08:43



Voor ramen:

  1. Installeer Windows-pakket van: https://graphviz.gitlab.io/_pages/Download/Download_windows.html
  2. Installeer python graphviz pakket
  3. Toevoegen C:\Program Files (x86)\Graphviz2.38\bin naar gebruikerspad
  4. Toevoegen C:\Program Files (x86)\Graphviz2.38\bin\dot.exe naar systeempad

Dit werkte voor mij!


17
2018-05-16 15:05



Voeg hieronder gewoon uw omgevingsvariabele toe (systeem) PAD op Windows

C: \ Program Files (x86) \ Graphviz2.38 \ bin

daar kun je vinden .exe bestanden

Als het niet werkt

Vind Graphviz2.38 / bin map in uw Programmabestanden niet in python lib

Voeg vervolgens toe aan uw PAD

Het is belangrijk om een ​​map te vinden met .exe-bestanden


6
2018-02-19 08:39



Proberen conda install graphviz. Ik had hetzelfde probleem, ik heb het opgelost met genoemd commando in MacOS.


5
2017-09-16 21:58



OSX Sierra, Python 2.7, Graphviz 2.38

Gebruik makend van pip install graphviz en conda install graphviz BEIDE lost het probleem op.

pip krijgt alleen pad probleem hetzelfde als die van jou en conda krijgt alleen importfout.


4
2018-04-26 02:25